package com.bonus.canteen.core.auth.oauth.pad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.bonus.canteen.core.allocation.canteen.model.AllocCanteen;

@ApiModel("AllocCanteenPadVO")
public class AllocCanteenPadVO {
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;

   public AllocCanteenPadVO(AllocCanteen allocCanteen) {
      this.canteenId = allocCanteen.getId();
      this.canteenName = allocCanteen.getCanteenName();
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public String toString() {
      Long var10000 = this.getCanteenId();
      return "AllocCanteenPadVO(canteenId=" + var10000 + ", canteenName=" + this.getCanteenName() + ")";
   }

   public AllocCanteenPadVO() {
   }
}
